> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Categories

Use this endpoint to retrieve the full list of product categories available in PIC. Each category in the response includes a `code` and a human-readable `name`. The `code` value is what you pass as the `categoryExpansionId` (or `{productCategory}`) when [creating](/api-reference/pic/products/create) or [updating](/api-reference/pic/products/update) a product.

### Implementation Details

* **No request body**: This is a `GET` request with no parameters.
* **Category list**: Returns a flat list of category objects. Each entry includes a `code` (to be used as the `categoryExpansionId` / `{productCategory}` in other endpoints) and a human-readable `name`.


## OpenAPI

````yaml api-reference/openapi/french-eco.json GET /taxonomy-categories
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /taxonomy-categories:
    get:
      summary: Get Categories
      operationId: GetCategories
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CorpRepGenericList'
                type: array
components:
  schemas:
    CorpRepGenericList:
      properties:
        code:
          type: string
        name:
          type: string
      required:
        - code
        - name
      type: object
      additionalProperties: false
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````